[Unit]
Description=Celery Beat Service
After=network.target celery@{{ inventory_hostname }}.service
StartLimitIntervalSec=0

[Service]
Type=simple
User={{ service_user }}
Group={{ service_group }}
# Restart is included for late mount of dev directory on Vagrant
Restart=on-failure
RestartSec=20
Environment="LOOKUP_SETTINGS={{ lookup_dir }}/settings.cfg"
Environment="LOOKUP_SECRETS={{ lookup_dir }}/secrets.cfg"
# Somewhere to drop the schedule file
WorkingDirectory={{ lookup_dir }}
ExecStart={{ lookup_venv_dir }}/bin/celery beat \
  -A lookup.tasks:app --loglevel=INFO

[Install]
WantedBy=multi-user.target